
## enable nepomuk support, default off, waiting for baloo
#define nepomuk 1

Name:    kget
Summary: Download manager
Version: 15.04.0
Release: 1%{?dist}

License: GPLv2+ and GFDL
URL:     https://projects.kde.org/projects/kde/kdenetwork/%{name}
%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/applications/%{version}/src/%{name}-%{version}.tar.xz

## upstream patches

BuildRequires: desktop-file-utils
BuildRequires: kde-baseapps-devel >= %{version}
BuildRequires: kde-workspace-devel
BuildRequires: kdelibs4-devel >= 4.14
BuildRequires: kdepimlibs-devel >= 4.14
BuildRequires: libktorrent-devel
%if 0%{?nepomuk}
BuildRequires: nepomuk-core-devel >= %{version}
BuildRequires: nepomuk-widgets-devel >= %{version}
%endif
BuildRequires: pkgconfig(qca2)
BuildRequires: pkgconfig(sqlite3)

## Features requiring more dependencies not currently packaged
#-----------------------------------------------------------------------------
#-- The following OPTIONAL packages could NOT be located on your system.
#-- Consider installing them to enable more features from this software.
#-----------------------------------------------------------------------------
#   * libmms  <http://libmms.sourceforge.net>
#     Library to read mms streams
#     Needed to build KGet mms support.

Requires: %{name}-libs%{?_isa} = %{version}-%{release}
%{?kde_runtime_requires}

# when split occurred
Conflicts: kdenetwork-common < 7:4.10.80
Obsoletes: kdenetwork-kget < 7:4.10.80
Provides:  kdenetwork-kget = 7:%{version}-%{release}

%package libs
Summary: Runtime libraries for %{name}
Requires: %{name} = %{version}-%{release}
Obsoletes: kdenetwork-kget-libs < 7:4.10.80
Provides:  kdenetwork-kget-libs = 7:%{version}-%{release}
%description libs
%{summary}.


%description
%{summary}.


%prep
%setup -q


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang %{name} --with-kde --without-mo

rm -fv %{buildroot}%{_kde4_libdir}/libkgetcore.so


%check
desktop-file-validate %{buildroot}%{_kde4_datadir}/applications/kde4/%{name}.desktop


%post
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null || :

%posttrans
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null || :
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :
fi

%files -f %{name}.lang
%doc AUTHORS README TODO
%doc COPYING COPYING.DOC
%{_kde4_bindir}/kget
%{_kde4_appsdir}/dolphinpart/kpartplugins/kget_plug_in.*
%{_kde4_appsdir}/kget/
%{_kde4_appsdir}/kconf_update/kget*
%{_kde4_appsdir}/khtml/kpartplugins/kget_plug_in.*
%{_kde4_appsdir}/kwebkitpart/kpartplugins/kget_plug_in.*
%{_kde4_iconsdir}/hicolor/*/apps/kget.*
%{_datadir}/dbus-1/services/org.kde.kget.service
%{_kde4_datadir}/applications/kde4/kget.desktop
%{_kde4_datadir}/kde4/services/kget*.desktop
%{_kde4_datadir}/kde4/services/plasma-engine-kget.desktop
%{_kde4_datadir}/kde4/services/plasma-runner-kget.desktop
%{_kde4_datadir}/kde4/servicetypes/kget*.desktop
%{_kde4_datadir}/config.kcfg/kget*.kcfg
%if 0%{?nepomuk}
%{_kde4_datadir}/ontology/kde/kget*
%endif
%{_kde4_libdir}/kde4/kget_*.so
%{_kde4_datadir}/kde4/services/ServiceMenus/kget_download.desktop
%{_kde4_libdir}/kde4/kcm_kget_*.so
%{_kde4_libdir}/kde4/krunner_kget.so
%{_kde4_libdir}/kde4/plasma_engine_kget.so
%{_kde4_libdir}/kde4/plasma_kget_barapplet.so
%{_kde4_libdir}/kde4/plasma_kget_piechart.so

%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files libs
%{_kde4_libdir}/libkgetcore.so.4*


%changelog
* Fri Apr 17 2015 Rex Dieter <rdieter@fedoraproject.org> - 15.04.0-1
- 15.04.0

* Sun Mar 01 2015 Rex Dieter <rdieter@fedoraproject.org> - 14.12.3-1
- 14.12.3

* Tue Feb 24 2015 Than Ngo <than@redhat.com> - 14.12.2-1
- 14.12.2

* Sat Jan 17 2015 Rex Dieter <rdieter@fedoraproject.org> - 14.12.1-1
- 14.12.1

* Sun Nov 09 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.14.3-1
- 4.14.3

* Sun Oct 12 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.14.2-1
- 4.14.2

* Tue Sep 16 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.14.1-1
- 4.14.1

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.14.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Fri Aug 15 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.14.0-1
- 4.14.0

* Tue Aug 05 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.13.97-1
- 4.13.97

* Tue Jul 15 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.13.3-1
- 4.13.3

* Mon Jun 09 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.13.2-1
- 4.13.2

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.13.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun May 11 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.13.1-1
- 4.13.1

* Mon Apr 14 2014 Rex Dieter <rdieter@fedoraproject.org> 4.13.0-2
- drop nepomuk support (hold out for baloo

* Sat Apr 12 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.13.0-1
- 4.13.0

* Fri Apr 04 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.12.97-1
- 4.12.97

* Sun Mar 23 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.12.95-1
- 4.12.95

* Wed Mar 19 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.12.90-1
- 4.12.90

* Sun Mar 02 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.12.3-1
- 4.12.3

* Fri Jan 31 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.12.2-1
- 4.12.2

* Fri Jan 10 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.12.1-1
- 4.12.1

* Thu Dec 19 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.12.0-1
- 4.12.0

* Sun Dec 01 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.97-1
- 4.11.97

* Thu Nov 21 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.95-1
- 4.11.95

* Sat Nov 16 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.90-1
- 4.11.90

* Sat Nov 02 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.3-1
- 4.11.3

* Sat Sep 28 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.2-1
- 4.11.2

* Wed Sep 04 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.1-1
- 4.11.1

* Thu Aug 08 2013 Than Ngo <than@redhat.com> - 4.11.0-1
- 4.11.0

* Tue Jul 30 2013 Rex Dieter <rdieter@fedoraproject.org> 4.10.97-1
- 4.10.97

* Wed Jul 24 2013 Rex Dieter <rdieter@fedoraproject.org> 4.10.95-1
- 4.10.95

* Fri Jun 28 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.10.90-1
- 4.10.90
